<ion-header [translucent]="false">
    <ion-toolbar>
        <ion-title>
            Liste
        </ion-title>
        <ion-buttons slot="end">
            <ion-button color="{{ markerService.list.length !== 0 ? 'danger' : 'medium'}}" [disabled]="markerService.list.length === 0" (click)="promptDeleteAll()">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="true">
    <ion-card *ngFor="let item of markerService.list">
        <ion-card-header>
            <ion-card-subtitle>
                <ion-icon name="flag-outline"></ion-icon>
                Marker
            </ion-card-subtitle>
            <ion-card-title>
                {{item.smallDescription}}
            </ion-card-title>
        </ion-card-header>
        <ion-card-content>
            {{item.lat}}/{{item.lng}}

        </ion-card-content>
        <ion-item
                (click)="markerService.liveTrackerSubject.next(false); markerService.goToMarker.next(item); toURL('/map')"
                href="javascript:void(0);">
            <ion-icon color="primary" name="flag-outline" slot="start"></ion-icon>
            <ion-label>Anzeigen</ion-label>
        </ion-item>
        <ion-item href="javascript:void(0);"
                  (click)="markerService.findRouterMarker(item) ? markerService.removeRouterMarker(item) : markerService.addRoutingMarker(item)">
            <ion-icon color="{{markerService.findRouterMarker(item) ? 'warning' : 'secondary'}}" name="pin-outline"
                      slot="start"></ion-icon>
            <ion-label>{{markerService.findRouterMarker(item) ? 'Aus der Route Entfernen' : 'Zur Route Hinzufügen'}}</ion-label>
        </ion-item>
        <ion-item (click)="remove(item)" href="javascript:void(0);">
            <ion-icon color="danger" name="trash-outline" slot="start"></ion-icon>
            <ion-label>Löschen</ion-label>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Beschreibung</ion-label>
            <ion-input [(ngModel)]="item.description" (ngModelChange)="changed(item)"></ion-input>
        </ion-item>
    </ion-card>
    <p *ngIf="markerService.list.length === 0" class="ion-text-center" style="color: #aaa !important;">
        <ion-icon size="large" name="golf-outline"></ion-icon>
        <br>
        Es sind keine Marker eingetragen!
    </p>
</ion-content>
